BuildRequires: bcel ant-bcel
BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support 0


Name:           wstx
Summary:        Woodstox Stax Implementation
Version:        3.2.1
Release:        alt1_1jpp1.7
Epoch:          0
URL:            http://woodstox.codehaus.org/
License:        Apache Software License 2.0
Group:          Development/Java
Source0:         http://woodstox.codehaus.org/3.2.1/wstx-src-3.2.1.tar.gz
Source1:         wstx-asl-3.2.1.pom
Source2:         wstx-lgpl-3.2.1.pom

Patch0:         wstx-3.2.1-build_xml.patch

BuildRequires: jpackage-utils >= 0:1.7.2
BuildRequires: ant >= 0:1.6
BuildRequires: junit
BuildRequires: bea-stax-api >= 0:1.2.0
BuildRequires: emma
BuildRequires: msv-msv
BuildRequires: msv-xsdlib
Requires: bea-stax-api >= 0:1.2.0
Requires: msv-msv
Requires: msv-xsdlib

%if ! %{gcj_support}
BuildArch:      noarch
%endif
%if %{gcj_support}
BuildRequires: gnu-crypto
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif


%description
Woodstox is a high-performance validating namespace-aware 
StAX-compliant (JSR-173) Open Source XML-processor written 
in Java.
XML processor means that it handles both input (== parsing) 
and output (== writing, serialization)), as well as 
supporting tasks such as validation.

%package j2me
Group:          Development/Java
Summary:        J2ME libraries for %{name}

%description j2me
%{summary}.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
%{summary}.

%package manual
Group:          Development/Documentation
Summary:        Documents for %{name}

%description manual
%{summary}.

%prep
%setup -q -c -n %{name}

for f in $(find . -name '*.?ar'); do
      mv $f $f.no
done

%patch0 -b .sav

pushd lib
ln -sf $(build-classpath emma) .
ln -sf $(build-classpath emma_ant) .
ln -sf $(build-classpath bea-stax-api) stax-api-1.0.jar
pushd msv
ln -sf $(build-classpath msv-msv) msv.jar
ln -sf $(build-classpath msv-xsdlib) xsdlib.jar
ln -sf $(build-classpath relaxngDatatype) .
popd
popd

%build
unset CLASSPATH
ant jars jars.j2me javadoc test staxtest

%install

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 build/stax2.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/stax2-%{version}.jar
install -m 644 build/%{name}-api-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-api-%{version}.jar
install -m 644 build/%{name}-asl-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-asl-%{version}.jar
install -m 644 build/%{name}-lgpl-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-lgpl-%{version}.jar
install -m 644 build/%{name}-j2me-min-both.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-j2me-min-both-%{version}.jar
install -m 644 build/%{name}-j2me-min-input.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-j2me-min-input-%{version}.jar
install -m 644 build/%{name}-j2me-min-output.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-j2me-min-output-%{version}.jar
# create unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

%add_to_maven_depmap org.codehaus.woodstox stax2 %{version} JPP/wstx stax2
%add_to_maven_depmap org.codehaus.woodstox wstx-api %{version} JPP/wstx wstx-api
%add_to_maven_depmap org.codehaus.woodstox wstx-asl %{version} JPP/wstx wstx-asl
%add_to_maven_depmap org.codehaus.woodstox wstx-lgpl %{version} JPP/wstx wstx-lgpl
%add_to_maven_depmap org.codehaus.woodstox wstx-j2me-min-both %{version} JPP/wstx wstx-j2me-min-both
%add_to_maven_depmap org.codehaus.woodstox wstx-j2me-min-input %{version} JPP/wstx wstx-j2me-min-input
%add_to_maven_depmap org.codehaus.woodstox wstx-j2me-min-output %{version} JPP/wstx wstx-j2me-min-output

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -pm 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.wstx-wstx-asl.pom
install -pm 644 %{SOURCE2} \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.wstx-wstx-lgpl.pom

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadoc/* \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr release-notes/* \
    $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%if %{gcj_support}
export CLASSPATH=$(build-classpath gnu-crypto)
%{_bindir}/aot-compile-rpm
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%post
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%post j2me
%update_maven_depmap

%postun j2me
%update_maven_depmap

%files
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/stax2*.jar
%{_javadir}/%{name}/%{name}-api*.jar
%{_javadir}/%{name}/%{name}-asl*.jar
%{_javadir}/%{name}/%{name}-lgpl*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}
%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/%{name}-*-%{version}.jar.*
%endif


%files j2me
%{_javadir}/%{name}/%{name}-j2me-min-both*.jar
%{_javadir}/%{name}/%{name}-j2me-min-input*.jar
%{_javadir}/%{name}/%{name}-j2me-min-output*.jar

%files javadoc
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%{_docdir}/%{name}-%{version}

%changelog
* Tue Oct 30 2007 Igor Vlasenko <viy@altlinux.ru> 0:3.2.1-alt1_1jpp1.7
- updated to new jpackage release

* Mon Jun 04 2007 Igor Vlasenko <viy@altlinux.ru> 0:2.9.3-alt1_1jpp1.7
- converted from JPackage by jppimport script

